Skip to main content
GET
List order disputes

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

filter[id]
string

Filter by dispute ID.

Example:

"3,6,9"

filter[status]
enum<string>

Filter by dispute status.

Available options:
waiting_for_seller,
waiting_for_buyer,
pending_admin_resolution,
escalated,
closed
Example:

"waiting_for_seller"

filter[orderable_type]
enum<string>

Filter by orderable type.

Available options:
account_order,
item_order,
currency_order
Example:

"account_order"

filter[orderable_id]
string

Filter by orderable ID.

Example:

110237

filter[active]
boolean

Filter by open (true) or closed (false) disputes.

filter[created_at]
string

Filter by created at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

filter[updated_at]
string

Filter by updated at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2025-10-05"

filter[closed_at]
string

Filter by closed at. Supports single date (YYYY-MM-DD) or date range (YYYY-MM-DD,YYYY-MM-DD).

Example:

"2019-08-14,2025-12-31"

sort
enum<string>
default:-updated_at

Sort by field. Prefix with - for descending order.

Available options:
id,
-id,
created_at,
-created_at,
updated_at,
-updated_at,
closed_at,
-closed_at
Example:

"-updated_at"

per_page
integer
default:15

Items per page (max 50)

Required range: 1 <= x <= 50

Response

A paginated list of order dispute cases

data
object[]
meta
object